zenilib: content.DocCode Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
content.DocCode Class Reference

The DocCode class is used to store source code lines. More...

## Public Member Functions

def | __init__
def | dump
def | dump_lines

## Public Attributes

| lines
| words

## Detailed Description

The DocCode class is used to store source code lines.

'self.lines' contains a set of source code lines that will be dumped as HTML in a

     tag.

       The object is filled line by line by the parser; it strips the leading
       "margin" space from each input line before storing it in 'self.lines'.

Definition at line 55 of file content.py.

## Constructor & Destructor Documentation

def content.DocCode.__init__ | ( |  | self,
|  |  | margin,
|  |  | lines
| ) |  |

Definition at line 57 of file content.py.

## Member Function Documentation

def content.DocCode.dump | ( |  | self,
|  |  | prefix = `""`,
|  |  | width = `60`
| ) |  |

Definition at line 67 of file content.py.

References content.DocCode.dump_lines().

def content.DocCode.dump_lines | ( |  | self,
|  |  | margin = `0`,
|  |  | width = `60`
| ) |  |

Definition at line 72 of file content.py.

References content.DocCode.lines.

Referenced by content.DocCode.dump(), and content.DocPara.dump().

## Member Data Documentation

content.DocCode.lines

Definition at line 58 of file content.py.

Referenced by sources.SourceProcessor.add_block_lines(), sources.SourceBlock.dump(), and content.DocCode.dump_lines().

content.DocCode.words

Definition at line 59 of file content.py.

Referenced by content.DocPara.dump_lines().

The documentation for this class was generated from the following file:

- zenilib/jni/external/freetype2/src/tools/docmaker/content.py